package com.intershop.support.component.mycoupon.internal;

import com.intershop.beehive.businessobject.capi.AbstractBusinessObjectExtensionFactory;
import com.intershop.beehive.businessobject.capi.BusinessObjectExtension;
import com.intershop.component.application.capi.ApplicationBO;
import com.intershop.support.component.mycoupon.capi.ApplicationBOMyCouponExtension;

/**
 * The interface describes an extension of the application BO which is intended to retrieve the BO repository of the
 * promotion code.
 */
public class ApplicationBOMyCouponExtensionFactory extends AbstractBusinessObjectExtensionFactory<ApplicationBO>
{
    @Override
    public BusinessObjectExtension<ApplicationBO> createExtension(ApplicationBO application)
    {
        return new ApplicationBOMyCouponExtensionImpl(ApplicationBOMyCouponExtension.EXTENSION_ID,
                        application);
    }

    @Override
    public Class<ApplicationBO> getExtendedType()
    {
        return ApplicationBO.class;
    }
}
